Subject: Re: Tonight's pushout has 'seen' broken with "hook" and "replay"

From: Adrian Ratiu <[email-masked]>
Date: Thu, 26 Mar 2026 11:20:05 +0200

On Thu, 26 Mar 2026, Pablo <[email-masked]> wrote:
> Junio C Hamano (<[email-masked]>) writes:
>>
>> I didn't have time to figure out which topic is broken, but here is
>> the test summary in my local environment of 'seen' I just pushed out.
>>
>> Of course, help is always welcome ;-)
>>
>>
>> Test Summary Report
>> -------------------
>> t1800-hook.sh                                    (Wstat: 256 (exited 1) Tests: 83 Failed: 24)
>>   Failed tests:  57-66, 70-83
>>   Non-zero exit status: 1
>
> Bisecting between master and seen
> This one comes from 58f670dc7a (hook: allow parallel hook execution,
> 2026-03-20), ar/parallel-hooks.
>
>> t3650-replay-basics.sh                           (Wstat: 256 (exited 1) Tests: 48 Failed: 3)
>>   Failed tests:  46-48
>>   Non-zero exit status: 1
>
> And this one comes from 76457c38ae (replay: allow to specify a ref
> with option --ref, 2026-03-25), tc/replay-ref
>
> I also saw three more when I ran it:
>
> t1301-shared-repo.sh                             (Wstat: 256 (exited
> 1) Tests: 0 Failed: 0)
>   Non-zero exit status: 1
>   Parse errors: No plan found in TAP output
> t0005-signals.sh                                 (Wstat: 256 (exited
> 1) Tests: 5 Failed: 2)
>   Failed tests:  4-5
>   Non-zero exit status: 1
> t3600-rm.sh                                      (Wstat: 256 (exited
> 1) Tests: 82 Failed: 1)
>   Failed test:  36
>   Non-zero exit status: 1
>
> Haven't checked for these ones. Are they already known in your local ?.
> I've CC'd the authors of the two patches above.
> Hope this helps :),
> Pablo

Yes, ar/parallel-hooks v4 broke.

Today I will send an updated version (v5) rebased on the latest cleanup
series which I sent yesterday.